com.holonplatform.datastore.jpa.jpql.expression

## Interface JPQLParameterizableExpression<T>

- Type Parameters:
    `T` - Expression type
  All Superinterfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.TypedExpression<T>

      public interface JPQLParameterizableExpression<T>
      extends com.holonplatform.core.TypedExpression<T>

  Represents a `TypedExpression` which should be resolved using a JPQL statement parameter if the expression type and the resolution context are suitable to use a JPQL parameter for its representation.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> JPQLParameterizableExpression<T>` | `create(com.holonplatform.core.TypedExpression<T> expression)` Create a new `JPQLParameterizableExpression`.
    `com.holonplatform.core.TypedExpression<T>` | `getExpression()` Get the actual expression which should be resolved using a JPQL statement parameter if the expression type and the resolution context are suitable to use a JPQL parameter for its representation.

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getExpression

          com.holonplatform.core.TypedExpression<T> getExpression()

      Get the actual expression which should be resolved using a JPQL statement parameter if the expression type and the resolution context are suitable to use a JPQL parameter for its representation.
      Returns:
        The expression

    - #### create

          static <T> JPQLParameterizableExpression<T> create(com.holonplatform.core.TypedExpression<T> expression)

      Create a new `JPQLParameterizableExpression`.
      Type Parameters:
        `T` - Expression type
      Parameters:
        `expression` - Wrapped expression (not null)
      Returns:
        A new `JPQLParameterizableExpression`

Copyright © 2019 The Holon Platform. All rights reserved.